%define upstream_name    Net-Curl
%define upstream_version 0.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::Config)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(libcurl)
BuildRequires: perl-devel
%description
Net::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# remove test failure
rm -f t/old-10errbuf.t t/old-22sendrecv.t
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%license LICENSE
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.560.0-2.mga10
+ Revision: 2088156
- Rebuild against new perl

* Sat Apr 13 2024 tv <tv> 0.560.0-1.mga10
+ Revision: 2056915
- update to 0.56

* Wed Nov 29 2023 tv <tv> 0.550.0-2.mga10
+ Revision: 2011279
- Rebuild for perl-5.38

* Sat Sep 23 2023 tv <tv> 0.550.0-1.mga10
+ Revision: 1989757
- update to 0.55

* Sun Sep 10 2023 tv <tv> 0.540.0-1.mga10
+ Revision: 1985787
- update to 0.54

* Mon Mar 13 2023 daviddavid <daviddavid> 0.520.0-2.mga9
+ Revision: 1948749
- add patch to adapt to curl 7.87.0

* Fri Aug 19 2022 tv <tv> 0.520.0-1.mga9
+ Revision: 1878721
- update to 0.52

* Mon Jul 11 2022 tv <tv> 0.510.0-1.mga9
+ Revision: 1868438
- update to 0.51

* Tue Jun 07 2022 umeabot <umeabot> 0.500.0-3.mga9
+ Revision: 1862209
- Rebuild for Perl 5.36

* Wed Mar 23 2022 umeabot <umeabot> 0.500.0-2.mga9
+ Revision: 1822901
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 0.500.0-1.mga9
+ Revision: 1777618
- update to 0.50

* Mon May 24 2021 umeabot <umeabot> 0.490.0-2.mga9
+ Revision: 1726914
- Rebuild for perl 5.34

* Tue May 18 2021 tv <tv> 0.490.0-1.mga9
+ Revision: 1725380
- update to 0.49

* Wed Dec 16 2020 tv <tv> 0.480.0-1.mga8
+ Revision: 1657980
- update to 0.48

* Wed Nov 04 2020 tv <tv> 0.470.0-1.mga8
+ Revision: 1642504
- update to 0.47

* Wed Oct 14 2020 tv <tv> 0.460.0-1.mga8
+ Revision: 1635579
- update to 0.46

* Wed Jun 17 2020 umeabot <umeabot> 0.450.0-2.mga8
+ Revision: 1594940
- Rebuild for perl 5.32

* Wed Jun 03 2020 tv <tv> 0.450.0-1.mga8
+ Revision: 1589890
- update to 0.45

* Tue May 26 2020 tv <tv> 0.440.0-2.mga8
+ Revision: 1587727
- fix compiling with curl-7.70.0

* Sun Mar 15 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1556416
- update to 0.44

* Wed Feb 19 2020 umeabot <umeabot> 0.430.0-2.mga8
+ Revision: 1543545
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1481854
- update to 0.43

* Mon Dec 23 2019 tv <tv> 0.420.0-1.mga8
+ Revision: 1469663
- update to 0.42

* Tue Aug 27 2019 tmb <tmb> 0.410.0-2.mga8
+ Revision: 1433847
- rebuild for perl 5.30

* Mon Jul 15 2019 tv <tv> 0.410.0-1.mga8
+ Revision: 1421804
- update to 0.41

* Sun Jul 14 2019 tv <tv> 0.400.0-1.mga8
+ Revision: 1421406
- update to 0.4

* Fri Apr 05 2019 shlomif <shlomif> 0.390.0-6.mga7
+ Revision: 1386175
- Fix build - https://github.com/sparky/perl-Net-Curl/issues/29

* Fri Sep 21 2018 umeabot <umeabot> 0.390.0-5.mga7
+ Revision: 1293538
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.390.0-4.mga7
+ Revision: 1249253
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.390.0-3.mga7
+ Revision: 1165839
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.390.0-2.mga7
+ Revision: 1160873
+ rebuild (emptylog)

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.390.0-1.mga7
+ Revision: 1157137
- new version 0.39

* Thu Aug 31 2017 pterjan <pterjan> 0.370.0-7.mga7
+ Revision: 1149088
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.370.0-6.mga7
+ Revision: 1126665
- Rebuild against new Perl 5.26

* Tue Jun 20 2017 pterjan <pterjan> 0.370.0-5.mga6
+ Revision: 1107986
- Fix test for new curl

* Wed Jan 18 2017 daviddavid <daviddavid> 0.370.0-4.mga6
+ Revision: 1082273
- fix testsuite removing the test who fails

* Tue Sep 13 2016 daviddavid <daviddavid> 0.370.0-3.mga6
+ Revision: 1052459
- add patch to fix build with curl >= 7.50.2

* Sun Jun 19 2016 pterjan <pterjan> 0.370.0-2.mga6
+ Revision: 1031015
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.370.0-1.mga6
+ Revision: 1002061
- Importing based on the perl-WWW-Curl .spec

